# Generated from typedjsrails-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name typedjsrails

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Gem for the typedjs library by Matt Boldt
License: MIT
URL: https://github.com/rahullakhaney/typedjsrails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Typed.js is a jQuery plugin that types. Enter in any string, and watch it type
at the speed you've set, backspace what it's typed, and begin a new sentence
for however many strings you've set.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/typedjsrails.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.0-1
- Initial package
